summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorPaul Eggert <eggert@cs.ucla.edu>2010-11-21 18:50:41 -0800
committerPaul Eggert <eggert@cs.ucla.edu>2010-11-22 00:04:50 -0800
commit013d95af11f41cbe05abdb73c997040dce4301f8 (patch)
tree41f34f8864051e6cf0d219c3a29d2c9060d870f0 /tests
parentbe107398e56e9f6ada8cd558b3f43bb1ed70fb84 (diff)
downloadcoreutils-013d95af11f41cbe05abdb73c997040dce4301f8.tar.xz
cp: give a better diagnostic for nonexistent dest/
This patch was written by Jim Meyering and myself. * src/copy.c (copy_reg): Turn EISDIR to ENOTDIR to improve the quality of diagnostics for commands like "cp a nosuch/". Reported by Марк Коренберг and Alan Curry in the thread starting at: http://lists.gnu.org/archive/html/bug-coreutils/2010-11/msg00178.html * THANKS: Update. * tests/mv/trailing-slash: Add a test.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/mv/trailing-slash8
1 files changed, 8 insertions, 0 deletions
diff --git a/tests/mv/trailing-slash b/tests/mv/trailing-slash
index b58c90822..906174afa 100755
--- a/tests/mv/trailing-slash
+++ b/tests/mv/trailing-slash
@@ -50,4 +50,12 @@ done
#touch a a2
#mv a a2/ && fail=1
+# Test for a cp-specific diagnostic introduced after coreutils-8.7:
+printf '%s\n' \
+ "cp: cannot create regular file \`no-such/': Not a directory" \
+> expected-err
+touch b
+cp b no-such/ 2> err && fail=1
+compare err expected-err || fail=1
+
Exit $fail